%global shortname remoting

Name:           jenkins-remoting
Version:        2.23
Release:        2%{?dist}
Summary:        Jenkins remoting module

# License is specified in pom file
# The project is under MIT license, but 2 contributed classes
# (FastPipedOutputStream, FastPipedInputStream) are under ASL 2.0
License:        MIT and ASL 2.0
URL:            https://github.com/jenkinsci/remoting
Source0:        https://github.com/jenkinsci/remoting/archive/remoting-%{version}.tar.gz
# License text copied from http://www.opensource.org/licenses/mit-license.php
Source1:        http://www.apache.org/licenses/LICENSE-2.0.txt
Source2:        LICENSE-MIT
Patch0:         0001-Remove-findbugs-annotation.patch
# TODO possibly upstreamable, need testing
Patch1:         0001-Use-base64-implementation-from-JDK.patch
Patch2:         0001-Proper-dependency-on-commons-io.patch

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(args4j:args4j)
BuildRequires:  mvn(commons-io:commons-io)


%description
This package is primarily used by Jenkins for slave node management,
but it could be potentially reused outside of this project.

%package        javadoc
Summary:        Javadoc for %{name}

%description    javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{shortname}-%{shortname}-%{version}

cp %{SOURCE1} LICENSE-ASL
cp %{SOURCE2} .

%patch0 -p1
%patch1 -p1
%patch2 -p1

# Nothing really interesting in parent
%pom_remove_parent

# args4j dependency should have scope 'compile', not 'provided'
%pom_xpath_replace "pom:dependency[pom:artifactId[text()='args4j']]/pom:scope" \
  "<scope>compile</scope>"

# We don't have or don't need following plugins
%pom_remove_plugin :maven-jarsigner-plugin
%pom_remove_plugin :build-helper-maven-plugin
%pom_remove_plugin :animal-sniffer-maven-plugin
%pom_remove_plugin :maven-dependency-plugin

# Not really used in source files
%pom_remove_dep :animal-sniffer-annotation
# patched out from source files, we don't need it
%pom_remove_dep :findbugs-annotations

# Replace bundled class from commons-io with proper dependency
%pom_xpath_replace "pom:dependency[pom:artifactId[text()='commons-io']]/pom:scope" \
  "<scope>compile</scope>"

%build
# Disabled tests because of missing org.jvnet.hudson:test-annotations
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc LICENSE-MIT LICENSE-ASL
%files javadoc -f .mfiles-javadoc
%doc LICENSE-MIT LICENSE-ASL

%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.23-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Apr 19 2013 Michal Srb <msrb@redhat.com> - 2.23-1
- Initial package

